import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        value?: string | undefined;
        files?: FileList | undefined;
        defaultClass?: string | undefined;
    };
    events: {
        focus: FocusEvent;
        blur: FocusEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
        dragenter: DragEvent;
        dragleave: DragEvent;
        dragover: DragEvent;
        drop: DragEvent;
        change: Event;
        click: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type DropzoneProps = typeof __propDef.props;
export type DropzoneEvents = typeof __propDef.events;
export type DropzoneSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let value: string = '';
 * @prop export let files: FileList | undefined = undefined;
 * @prop export let defaultClass: string = 'flex flex-col justify-center items-center w-full h-64 bg-gray-50 rounded-lg border-2 border-gray-300 border-dashed cursor-pointer dark:hover:bg-bray-800 dark:bg-gray-700 hover:bg-gray-100 dark:border-gray-600 dark:hover:border-gray-500 dark:hover:bg-gray-600';
 */
export default class Dropzone extends SvelteComponent<DropzoneProps, DropzoneEvents, DropzoneSlots> {
}
export {};
//# sourceMappingURL=Dropzone.svelte.d.ts.map