import { SvelteComponent } from "svelte";
import type { IndicatorPlacementType } from '../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        color?: "gray" | "red" | "yellow" | "green" | "indigo" | "purple" | "blue" | "dark" | "orange" | "none" | "teal" | undefined;
        rounded?: boolean | undefined;
        size?: "xs" | "sm" | "lg" | "xl" | "md" | undefined;
        border?: boolean | undefined;
        placement?: IndicatorPlacementType | undefined;
        offset?: boolean | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type IndicatorProps = typeof __propDef.props;
export type IndicatorEvents = typeof __propDef.events;
export type IndicatorSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let color: IndicatorColorType = 'gray';
 * @prop export let rounded: boolean = false;
 * @prop export let size: 'xs' | 'sm' | 'md' | 'lg' | 'xl' = 'md';
 * @prop export let border: boolean = false;
 * @prop export let placement: IndicatorPlacementType | undefined = undefined;
 * @prop export let offset: boolean = true;
 */
export default class Indicator extends SvelteComponent<IndicatorProps, IndicatorEvents, IndicatorSlots> {
}
export {};
//# sourceMappingURL=Indicator.svelte.d.ts.map