import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        steps?: string[] | undefined;
        currentStep?: number | undefined;
        size?: string | undefined;
        color?: "gray" | "red" | "yellow" | "green" | "indigo" | "purple" | "pink" | "blue" | "primary" | "custom" | "secondary" | undefined;
        glow?: boolean | undefined;
        hideLabel?: boolean | undefined;
        completedCustom?: string | undefined;
        currentCustom?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type StepIndicatorProps = typeof __propDef.props;
export type StepIndicatorEvents = typeof __propDef.events;
export type StepIndicatorSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let steps: string[] = ['Step 1', 'Step 2', 'Step 3', 'Step 4', 'Step 5'];
 * @prop export let currentStep = 1;
 * @prop export let size: string = 'h-2.5';
 * @prop export let color: 'primary' | 'secondary' | 'gray' | 'red' | 'yellow' | 'green' | 'indigo' | 'purple' | 'pink' | 'blue' | 'custom' = 'primary';
 * @prop export let glow: boolean = false;
 * @prop export let hideLabel: boolean = false;
 * @prop export let completedCustom: string = '';
 * @prop export let currentCustom: string = '';
 */
export default class StepIndicator extends SvelteComponent<StepIndicatorProps, StepIndicatorEvents, StepIndicatorSlots> {
}
export {};
//# sourceMappingURL=StepIndicator.svelte.d.ts.map