import { SvelteComponent } from "svelte";
import type { Action } from 'svelte/action';
import type { HTMLAnchorAttributes } from 'svelte/elements';
import { type TransitionConfig } from 'svelte/transition';
declare const __propDef: {
    props: HTMLAnchorAttributes & {
        tag?: string | undefined;
        color?: "gray" | "red" | "yellow" | "green" | "indigo" | "purple" | "pink" | "blue" | "light" | "dark" | "default" | "dropdown" | "navbar" | "navbarUl" | "form" | "primary" | "orange" | "none" | undefined;
        rounded?: boolean | undefined;
        border?: boolean | undefined;
        shadow?: boolean | undefined;
        node?: HTMLElement | undefined;
        use?: Action<HTMLElement, any, Record<never, any>> | undefined;
        options?: object | undefined;
        class?: string | undefined;
        role?: string | undefined;
        open?: boolean | undefined;
        transition?: ((node: HTMLElement, params: any) => TransitionConfig) | undefined;
        params?: any;
    };
    events: {
        click: MouseEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        focusin: FocusEvent;
        focusout: FocusEvent;
        show: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type FrameProps = typeof __propDef.props;
export type FrameEvents = typeof __propDef.events;
export type FrameSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let tag: string = $$restProps.href ? 'a' : 'div';
 * @prop export let color: FrameColor = 'default';
 * @prop export let rounded: boolean = false;
 * @prop export let border: boolean = false;
 * @prop export let shadow: boolean = false;
 * @prop export let node: HTMLElement | undefined = undefined;
 * @prop export let use: Action<HTMLElement, any> = noop;
 * @prop export let options = {};
 * @prop export let role: string | undefined = undefined;
 * @prop export let transition: TransitionFunc | undefined = undefined;
 * @prop export let params: object = {};
 * @prop export let open: boolean = true;
 */
export default class Frame extends SvelteComponent<FrameProps, FrameEvents, FrameSlots> {
}
export {};
//# sourceMappingURL=Frame.svelte.d.ts.map